org.eclnt.jsfserver.elements

## Class BaseHTMLActionComponent

- java.lang.Object
- - UIComponentBase
  - - org.eclnt.jsfserver.elements.BaseComponent
    - - org.eclnt.jsfserver.elements.BaseActionComponent
      - - org.eclnt.jsfserver.elements.BaseHTMLActionComponent

- All Implemented Interfaces:
    java.io.Serializable, CLogConstants

      public abstract class BaseHTMLActionComponent
      extends BaseActionComponent
      implements CLogConstants

  Is decoding "ID.action" and is invoking the Action accordingly.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `BaseHTMLActionComponent.IDelegateAction`

    - ### Nested classes/interfaces inherited from class org.eclnt.jsfserver.elements.BaseComponent

      `BaseComponent.DecodePassData, BaseComponent.IEventQueue`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ACTIONTYPE_NEVER`
    `static int` | `ACTIONTYPE_NOTEMPTY`
    `static int` | `ACTIONTYPE_NOTNULL`
    `protected BaseHTMLActionComponent.IDelegateAction` | `m_actionDelegator`
    `protected boolean` | `m_immediate`

    - ### Fields inherited from class org.eclnt.jsfserver.elements.BaseActionComponent

      `m_actionListeners`

    - ### Fields inherited from class org.eclnt.jsfserver.elements.BaseComponent

      `m_attributesIsDynamicInfo, m_attributesIsManagedViaAdapterBinding, m_attributesReferenceInfo, m_attributesSetViaStyle, m_attributesTakeOverInfo, m_currentDump, m_explicitlyNulledAttributes, m_lastDumpRequestSequenceId, m_previousDump, m_styleValues, m_tagAttributes`

    - ### Fields inherited from interface org.eclnt.util.log.CLogConstants

      `LL_DBG, LL_ERR, LL_INF, LL_WAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseHTMLActionComponent()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addCallServerHiddenField(FacesContext context, ResponseWriter writer, java.lang.String postfix)`
    `protected void` | `addCallServerJavaScript(FacesContext context, ResponseWriter writer, java.lang.String event, java.lang.String postfix)`
    `protected void` | `addInvokeProcessingEvent(FacesContext context, ResponseWriter writer)`
    `protected void` | `addInvokeProcessingHiddenField(FacesContext context, ResponseWriter writer, java.lang.String postfix)`
    `protected static void` | `appendToStyle(java.lang.StringBuffer style, java.lang.String styleFragment)`
    `protected boolean` | `checkIfFocusIsRequested()`
    `void` | `decode(FacesContext context)`
    `void` | `encodeBegin(FacesContext context)`
    `BaseHTMLActionComponent.IDelegateAction` | `getActionDelegator()`
    `protected int` | `getActionType()`
    `boolean` | `getCurrentEnabled()`
    `java.lang.String` | `getCurrentStyleClass(java.lang.String defaultStyle)`
    `java.lang.String` | `getCurrentTdStyleClass()`
    `protected UIForm` | `getParentForm()` Returns the form that this component is living in.
    `protected void` | `manageFocus(FacesContext context, java.lang.String id)`
    `protected void` | `manageFocus(FacesContext context, java.lang.String id, java.lang.String preStatement, java.lang.String postStatement)`
    `void` | `restoreState(FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(FacesContext context)`
    `void` | `setActionDelegator(BaseHTMLActionComponent.IDelegateAction actionDelegator)`
    `java.lang.String` | `writeTdAroundControl(ResponseWriter writer, ComponentDump cd, boolean withStyle)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.BaseActionComponent

      `addActionListener, broadcast, clearActionListeners, createBaseActionEvent, decode, getAction, getActionListener, getActionListeners, getActionListenersAsList, getFirstActionListener, isImmediate, removeActionListener, setAction, setActionListener, setImmediate, triggerActionEvent`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.BaseComponent

      `addExplicitlyNulledAttribute, addValueBindingExec, addValueExpressionExec, appendDecodeInformation, applyChangedStyleVariant, buildAttributesIsDynamicInfo, checkIfAttributeIsExplicitlyNulled, checkIfAttributesIsManagedByExpression, checkIfComponentHasAdapterBinding, checkIfComponentIdIsPartOfRequest, checkIfComponentTagIsAvailable, checkIfEncodeCalledFirstTime, checkIfStyleVariantIsDynamic, checkIfStyleVariantWasUpdated, checkIfToTakeOverAttribute, convertValueDuringDecode, convertValueDuringGetAttribute, createNewIdCounter, createSubId, createSubId, destroy, detectChangesInSubComponents, encodeChildren, encodeEnd, ensureSessionIsValid, executeQueueingOfBufferedEvents, findContentReplaceListDuringRendering, findCurrentDump, getAdapterBindingAterEncodeBegin, getApplicationReference, getAttributeFromAdapterBinding, getAttributeFromAdapterBinding, getAttributesGet, getAttributesGet, getAttributesSetViaStyle, getAttributeString, getAttributeValueAsString, getChild, getClientTagName, getComponentAdapterBinding, getComponentClass, getExpressionFromComponentAttribute, getFamily, getInnerEventRequestId, getOriginalAttributeString, getParameterNameForDecode, getPreferredDataType, getRendersChildren, getSavedState, getTagAttributes, isDestroyed, isRendered, m_componentRepository, passPropertyUsage, passStyleValues, processDecodes, processUpdates, processValidators, queueEvent, queueEventExecute, reactOnSetPropertiesByTagFinished, readAttributeValueDuringEncodeFromAttributesOrFromAdapterBinding, readCurrentComponentDump, readDefaultUpdateAttribute, readPreviousComponentDump, readTagAttributes, readTagAttributesSet, registerInnerEvent, renderComponentNoChange, resetInternalAttributeBuffer, resetPreviousDump, resolveComponentValueAsString, retrieveValueFromComponent, setApplicationReference, setAttributeValueFromOutside, setComponentBinding, setCurrentComponentDump, setExpressionAsComponentAttributeFromOutside, setParent, setRendered, setRendersChildren, updateAttributeValue, updateComponentBinding`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACTIONTYPE_NOTNULL

          public static int ACTIONTYPE_NOTNULL

    - #### ACTIONTYPE_NOTEMPTY

          public static int ACTIONTYPE_NOTEMPTY

    - #### ACTIONTYPE_NEVER

          public static int ACTIONTYPE_NEVER

    - #### m_immediate

          protected boolean m_immediate

    - #### m_actionDelegator

          protected BaseHTMLActionComponent.IDelegateAction m_actionDelegator

  - ### Constructor Detail

    - #### BaseHTMLActionComponent

          public BaseHTMLActionComponent()

  - ### Method Detail

    - #### saveState

          public java.lang.Object saveState(FacesContext context)

      Overrides:
        `saveState` in class `BaseActionComponent`

    - #### restoreState

          public void restoreState(FacesContext context,
                                   java.lang.Object state)

      Overrides:
        `restoreState` in class `BaseActionComponent`

    - #### getActionDelegator

          public BaseHTMLActionComponent.IDelegateAction getActionDelegator()

    - #### setActionDelegator

          public void setActionDelegator(BaseHTMLActionComponent.IDelegateAction actionDelegator)

    - #### encodeBegin

          public void encodeBegin(FacesContext context)
                           throws java.io.IOException

      Overrides:
        `encodeBegin` in class `BaseComponent`
      Throws:
        `java.io.IOException`

    - #### decode

          public void decode(FacesContext context)

      Overrides:
        `decode` in class `BaseActionComponent`

    - #### writeTdAroundControl

          public java.lang.String writeTdAroundControl(ResponseWriter writer,
                                                       ComponentDump cd,
                                                       boolean withStyle)
                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getCurrentEnabled

          public boolean getCurrentEnabled()

    - #### getCurrentStyleClass

          public java.lang.String getCurrentStyleClass(java.lang.String defaultStyle)

    - #### getCurrentTdStyleClass

          public java.lang.String getCurrentTdStyleClass()

    - #### getParentForm

          protected UIForm getParentForm()

      Returns the form that this component is living in.

    - #### getActionType

          protected int getActionType()

    - #### addCallServerHiddenField

          protected void addCallServerHiddenField(FacesContext context,
                                                  ResponseWriter writer,
                                                  java.lang.String postfix)

    - #### addInvokeProcessingHiddenField

          protected void addInvokeProcessingHiddenField(FacesContext context,
                                                        ResponseWriter writer,
                                                        java.lang.String postfix)

    - #### addCallServerJavaScript

          protected void addCallServerJavaScript(FacesContext context,
                                                 ResponseWriter writer,
                                                 java.lang.String event,
                                                 java.lang.String postfix)

    - #### addInvokeProcessingEvent

          protected void addInvokeProcessingEvent(FacesContext context,
                                                  ResponseWriter writer)

    - #### appendToStyle

          protected static void appendToStyle(java.lang.StringBuffer style,
                                              java.lang.String styleFragment)

    - #### manageFocus

          protected void manageFocus(FacesContext context,
                                     java.lang.String id)

    - #### manageFocus

          protected void manageFocus(FacesContext context,
                                     java.lang.String id,
                                     java.lang.String preStatement,
                                     java.lang.String postStatement)

    - #### checkIfFocusIsRequested

          protected boolean checkIfFocusIsRequested()

Copyright © CaptainCasa Gmbh. All Rights Reserved.